Update alerts

Updates the read or archived status of the alerts for the specified security profile.

Requires one of the following license types: ioa, ioaPreview, or ioe. See License Types.

Requires the Read permission on the Profiles, Domains, and Indicators of Exposure entities (read:profile, read:directory, read:checker). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[0-9]+$

Specifies the ID of the security profile.

Body Params

Validates the PATCH /alerts request

boolean

Specifies whether to archive the alerts.

boolean

Specifies whether to mark the alerts as read.

Responses
204

Returned if the alerts were updated successfully.

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!